Yoast

Canonical URL for Magento

  • Popularity Score 21252 Popularity Score

    Popularity ScoreReferrals to Site/Downloads

    0 0 1+ 1+ 250+ 250+ 1000+ 1000+ 10000+ 10000+

This extension adds the new canonical links to the head of your Magento pages,
Compatible with:
This extension is currently unavailable on Magento Connect. Please contact the developer.

You will be re-directed to the developer's website to complete your purchase.

You must be registered and logged in to get extension key.
In order to get this extension, you must be logged in to the Magento Community. Click here to login or register.
In order to get this extension, you must have active Magento Go Store. Click here to create Go store.

Magento Connect 1.0

Magento Connect 1.0

FREE
Previous Next
Overview

Canonical URL for Magento

This extension adds the new canonical links to the head of your Magento pages, for a more in-depth explanation, see Yoast.com. More about Magento SEO in general at Yoast.

Warning

The latest version of this module is only compatible with Magento 1.4. For Magento 1.3 and below please download the 1.3 release, magento-community/canonical_url-1.3

Please note that this extension is provided as is. It is recommended to always backup your installation prior to usage.

Note

Magento 1.4 supports the canonical tag by core. To enable the tag for the category and product page go to: System=>Configuration=>Catalog=>Search Engine Optimization and enable: Use Canonical Link Meta Tag For Categories and Use Canonical Link Meta Tag For Products. For now the Yoast module has only some small advantages, please reconsider the usage of this extension.

For the new way the module gets the canonical URL at product pages it is important that Mage::getSingleton('catalog/url')->refreshRewrites(); is executed. Normally this will happen with the install of the module but please check the canonical url at your product page. If you get a 404 for this url change change the value of "add category to product url" at your backend, save, change it back and save again. Now the url shouldn't give a 404 error. Note for 1.3 and earlier - Fooman Speedster If you use Canonical URLs for Magento together with the Fooman Speedster module, you need to overwrite the Canonical module with this download. Send all your questions and remarks about this extension to magento [ at ] yoast . com.

Changelog

1.4 - Now compatible with Fooman Speedster and AW_Blog
- The setting "Force traling slash" now also force the XML sitemap to use a traling slash
- Frontend design in 1.4 style (base)

1.3 - some performance improvements. 0.1.6 - bug fixed for products without a sitemap URL, e.g. visibility "search"

Release Notes

This extension adds the new canonical links to the head of your Magento pages.

2012-02-06 09:05:45
  • Version number: 1.4.0.2
  • Stability: Stable
  • Compatibility: 1.4
You must be registered and logged in to get extension key.

Magento Connect 1.0

Magento Connect 1.0

This extension adds the new canonical links to the head of your Magento pages, for a more in-depth explanation, see http://yoast.com/tools/magento/canonical. More about http://yoast.com/articles/magento-seo/ Magento SEO in general at Yoast.

Note for use with Fooman Speedster If you use Canonical URLs for Magento together with the Fooman Speedster module, you need to overwrite the Canonical module with this http://yoast.com/wp-content/uploads/2009/03/fooman-fix.zip download.

This extension adds the new canonical links to the head of your Magento pages.

2010-04-16 12:32:33
  • Version number: 1.4.0.1
  • Stability: Stable
  • Compatibility: 1.4
You must be registered and logged in to get extension key.

Magento Connect 1.0

Magento Connect 1.0

This extension adds the new canonical links to the head of your Magento pages, for a more in-depth explanation, see http://yoast.com/tools/magento/canonical. More about http://yoast.com/articles/magento-seo/ Magento SEO in general at Yoast.

Note for use with Fooman Speedster If you use Canonical URLs for Magento together with the Fooman Speedster module, you need to overwrite the Canonical module with this http://yoast.com/wp-content/uploads/2009/03/fooman-fix.zip download.

This extension adds the new canonical links to the head of your Magento pages.

2010-04-16 00:39:00
  • Version number: 1.4
  • Stability: Stable
  • Compatibility: 1.4
You must be registered and logged in to get extension key.

Magento Connect 1.0

Magento Connect 1.0

This extension adds the new canonical links to the head of your Magento pages, for a more in-depth explanation, see http://yoast.com/tools/magento/canonical. More about http://yoast.com/articles/magento-seo/ Magento SEO in general at Yoast.

Note for use with Fooman Speedster If you use Canonical URLs for Magento together with the Fooman Speedster module, you need to overwrite the Canonical module with this http://yoast.com/wp-content/uploads/2009/03/fooman-fix.zip download.

This extension adds the new canonical links to the head of your Magento pages.

2012-01-27 05:05:34
  • Version number: 1.3
  • Stability: Stable
  • Compatibility: 1.4
You must be registered and logged in to get extension key.

Magento Connect 1.0

Magento Connect 1.0

This extension adds the new canonical links to the head of your Magento pages, for a more in-depth explanation, see http://yoast.com/tools/magento/canonical. More about http://yoast.com/articles/magento-seo/ Magento SEO in general at Yoast.

Note for use with Fooman Speedster If you use Canonical URLs for Magento together with the Fooman Speedster module, you need to overwrite the Canonical module with this http://yoast.com/wp-content/uploads/2009/03/fooman-fix.zip download.

This extension adds the new canonical links to the head of your Magento pages.

2012-01-24 14:06:45
  • Version number: 0.1.6
  • Stability: Beta
  • Compatibility: 1.4
You must be registered and logged in to get extension key.

Magento Connect 1.0

Magento Connect 1.0

This extension adds the new canonical links to the head of your Magento pages.
1 2
Reviews

About the Developer

This extension was developed by and is supported by Yoast

Canonical URL for Magento 2 5 26 26
Do Not Install unless you want your site down Installed and it said package not available, then our whole site went down, admin and online catalogue. I would highly recommend not installing this, unless you want to spend hours fixing your site. November 13, 2013
I could not install I tried to install on a 1.4.2.0 magento but i receive this error. WARNING: channel "connect.magentocommerce.com/community" has updated its protocols, use "channel-update connect.magentocommerce.com/community" to update WARNING: "pear/Console_Getopt" is deprecated in favor of "pear/Console_GetoptPlus" pear/Console_Getopt requires PEAR Installer (version >= 1.8.0), installed version is 1.7.1 pear/PEAR requires package "pear/Console_Getopt" (recommended version 1.2.3) magento-core/Mage_Pear_Helpers requires package "pear/PEAR" (version >= 1.6.2) magento-core/Lib_Google_Checkout requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800) magento-core/Mage_Core_Modules requires package "magento-core/Lib_Google_Checkout" (version >= 1.4.2.0, version <= 1.4.3, excluded versions: 1.4.3) magento-community/canonical_url requires package "magento-core/Mage_Core_Modules" (version >= 1.4) magento-core/Lib_Js_Calendar requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800) magento-core/Lib_Js_Prototype requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800) magento-core/Lib_Js_Mage requires package "magento-core/Lib_Js_Prototype" (version >= 1.6.0.3.3, version <= 1.6.1, excluded versions: 1.6.1) magento-core/Lib_ZF requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800) magento-core/Lib_Varien requires package "magento-core/Lib_ZF" (version >= 1.10.8.0, version <= 1.10.9.0, excluded versions: 1.10.9.0) magento-core/Lib_ZF_Locale requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800) Install Errors No valid packages found PEAR ERROR: install failed Anyone could help??? April 5, 2013
Hi, When i tried to install the plugin via Magento connect, it shows such error...Couldn't resolve host 'magento-community'...I went to Magento connect manager > Setting...changed to beta/alpha...but didn't workout with any of the setting. My magento connect version is 1.7... how can i install is via magento connect...any suggestion? January 31, 2013
I use Magento 1.6.2.0, installation worked. After a while (mb after cache was cleared or smt) I couldnt reach my frontend Pages, always got a 404 (also couldn't reach admin, only .\downloader). So i removed all caches on FTP and tried to find the problem. Finally after i deinstalled this, it got back to work. Not sure what the problem was, but I wont install it anymore and suggest other with the same Version to be careful aswell, good thing the .\downloader still worked! October 4, 2012
You don't need it in Magento 1.7.0.2 - To add Canonical URL you've to go under System - Catalog - Search Engine Optimization. It's alrady integrated. August 23, 2012
Have just installed this on the latest version 1.7.0.0-rc1 and it works great with no problems. March 29, 2012
Installed this without any problems on 1.6.2.0 from Connect. However, I suspect something still doesn't work as it should because even if all pages get the canonical link in head, it just gives a link to the same url as the page was opened as. This seems pretty useless as I thought the idea is as with AW Blog that the blog post has exactly 1 preferred url but that doesn't happen. If page is opened from category, that goes into the canonical, if from a tag then that goes in to the canonical and so on... And yes I have switched on everything... I know this isn't a support channel and I'm not asking for support, just reporting my experience. Obvious as this extension was written for an earlier release of Magento, something must have changed that even if it doesn't crash it still it doesn't seem to give the desired result. Unless I haven't got all this wrong... If I find something I will report back here, but if you installed this "successfully" still you need to check it really work as advertised for you or you may even be worse off with Google than before, if every url variant of the page claim to "be the one". Also to refresh what already been said further down, this extension IS necessary also on later versions of Magento as the built in support only goes for product and category pages, but not for other content like Blog and CMS etc. March 5, 2012
I get the error message 'invalid package identifier provided' everytime I try to install one of your extensions. Tried to change the preferred state but that unfornately doesn't work. February 27, 2012
I installed it in our magento 1.4.1.1 but it doesn't work. I tried to mail the developer but there's error "There were members listed in your Recipients or CC fields that are unable to receive Private Messages. They have been removed by the system and you may try sending again." February 15, 2012
Works with 1.6 :) February 8, 2012
2 3 next>>
Q&A
(2 Questions : 1 Answer)

Product Q&A

Ask your questions. Share your answers.

 
 
« Back
 
 
Sort by
Avatar Image Url:: http://www.magentocommerce.com/images/avatars/uploads/avatar_26399417
Customer avatar
by
RDalmagro
-
11 months ago
0points
0out of 0found this question helpful.
Was this helpful?Yes0No0

Answers

Avatar Image Url:: http://www.magentocommerce.com/images/avatars/uploads/avatar_27288216
Customer avatar
Answer: 
On August 23, 2012
SimoneFreelance says in the Reviews section:
"You don't need it in Magento 1.7.0.2 - To add Canonical URL you've to go under System - Catalog - Search Engine Optimization. It's already integrated."
by
aricieMconnect
-
5 months, 3 weeks ago
0points
0out of 0found this answer helpful.
Was this helpful?Yes0No0
Avatar Image Url:: http://www.magentocommerce.com/images/avatars/uploads/avatar_26670131
Customer avatar
for during the upgrade from 1.11 to 1.12?
by
loglesby
-
1 year ago
0points
0out of 0found this question helpful.
Was this helpful?Yes0No0
1 of 1
1 of 1
Get Help

Support for This Extension

The best place to start if you need help with a specific extension is to contact the developer. All Magento developers have both a contact email and a support email listed.

Magento Platform Support

If you need support for a Magento platform, there are different options for support depending on which Magento platform you are using. Below are links for specific platforms.

In order to upload extension, you must be logged in to the Magento Community. Click here to login or register.

Close

Register

* Required Fields

Close window

Forgot Your Password?

Please enter your email below and we'll send you a new password.

* Required Fields

Close window

Login

To upload extension you must be logged in.

* Required Fields

Close window

You are using an outdated browser

We built Magento Connect using the latest techniques and technologies.
This makes Magento Connect faster and easier to use.
Unfortunately, your browser doesn't support those technologies.
Use the links below to download a new browser or upgrade your existing browser.